How to upgrade my Kernel being a newbie?

  • dark_inversion

        Hello all,
        I am completely new to CoLinux and Linux in general, so I am sorry if this posting seems extremely elimentary, however this is my situation.  I wish to experiment with CoLinux as an easy way of learning Linux overall, starting in the command-line environment and work from the ground up rather than learn the GUI initially.  However I want to experiment with some wireless security tools and cannot get my wireless adaptor working.
    I added an entry in my configuration file as follows:
    for my wireless adapter
    I also tried it with the Winpcap-bridge option which did not make a difference
    in the /etc/network/interfaces file I have added an entry as follows:
    auto eth2
    iface eth2 inet dhcp

    My research indicates the following:
    Support for RTL8187 chipsets was introduced in kernel 2.6.23.
    Support for some RTL8187B chipsets was introduced in kernel 2.6.27.
    The actual name reported by Windows device manager is Realtek RTL8187B Wireless 802.11B/G 85Mbps USB 2.0 Network Adapter
    So I assume I need Kernel 2.6.27 or higher.  When CoLinux first boots up at the prompt before login it says Debian Gnu/Linux 4.0 tty1 which I assumes version 4?
    After logging in as root I get:
    Linux Debian #1 Preempt Sat May 24 22:27:30 UTC 2008 i686
    So I'm guessing my Kernel is 2.6.22 correct?  So how do I go about upgrading my Kernel?  Please try and make your responses clear, remember I'm starting out pretty much completely fresh and although I'm very used to Windows and DOS back in the day, Linux is totally something new, and the only other experience with Linux I have is playing with Ubuntu in the GUI of Gnome on another desktop I have here which I already know is based on a totally different Linux core.
    Any hope would be much appreciated.

    • Henry N.
      Henry N.

      Hello Cory,

      > eth2=slirp,00:14:D1:39:77:E4

      please change it to:
      Or use any not exist random number for MAC. But never the MAC of your WLAN.

      Inside Linux please leave the ip address at This is the only ways to use with SLiRP. Remember, that SLiRP has no full "ping" support. So, ping does not work on all servers. Try "wget" to check the running network.

      Pcap-bridge does not work with mostly WLAN adapters.

      If you use Debian 4, then remove all entries from the file /etc/udev/rules.d/z25_persistent-net.rules
      For other distros with "udev" check files in /etc/udev/rules.d/ that contains an ethernet configuration of "eth0" with an older MAC and remove that line. Than reboot colinux.

      Please read more in the wiki:

      > So I'm guessing my Kernel is 2.6.22 correct? So how do I go about upgrading my Kernel?

      The kernel you not needs to upgrade, and it has nothing to do with your real exist Ethernet card adapter (RTL8187). coLinux does not access hardware directly.

      You can only use kernels, which are ready patched for running as Windows task. Currently, it is only Upgrading kernel is a very big job for developers.